Subject: Re: [PATCH] ppc4xx_pci: necessary fixes for 4GB RAM size

From: Ilya Yanok <[email-masked]>
Date: Mon, 01 Sep 2008 11:31:58 +0400

Benjamin Herrenschmidt wrote:
>>> 1. total_memory should be phys_addr_t not unsigned long
>>> 2. is_power_of_2() works with u32 so I just inlined (size & (size-1)) != 0
>>> instead.
>>> Also this patch fixes default initialization: res->end should be 0x7fffffff
>>> not 0x80000000.
>>>
>>> Signed-off-by: Ilya Yanok <[email-masked]>
>>>       
>> Ben, any comments here?  Looks right to me.
>>     
>
> Just one minor comment... The patch should do what I failed to do
> before, which is to move total_memory declaration to a header :-)
>   

Hm... looks like we already have this declaration in
arch/powerpc/mm/mmu_decl.h... I'll send modified patch soon.

Regards, Ilya.